
#include "stuff.inc"

union {
  intersection {
    torus {
      1, 0.1
      rotate x * 90
    }
    plane { x, 0 }
    plane { y, 0 inverse }
    translate <0.5, -0.5, 0>
  }
  intersection {
    torus {
      sqrt(0.5), 0.1
      rotate x * 90
    }
    plane { <1, 1, 0>, 0 }
    plane { <1, -1, 0>, 0 }
    translate <1, 0, 0>
  }
  pigment { color Green }
#ifndef (mask)
  finish { ambient 0.4 }
#end
}

union {
  sphere { <-0.5, -0.5, 0>, 0.4 }
sphere { <0.5, -0.5, 0>, 0.4 }
  pigment { color Red }
#ifndef (mask)
  finish { ambient 0.4 }
#end
}
