
#include "stuff.inc"

#declare Eyes =
union {
  union {
    sphere { <-0.4, 0, -0.9>, 0.3 }
    sphere { < 0.4, 0, -0.9>, 0.3 }
    pigment { color White }
#ifndef (mask)
    finish { ambient 0.6 }
#end
  }
  union {
    sphere { <-0.4, 0, -1.2>, 0.15 }
    sphere { < 0.4, 0, -1.2>, 0.15 }
    pigment { color Black }
  }
  no_shadow
}

#ifdef (ghost_color)
#declare Ghost =
union {
  object { Eyes }
  union {
    sphere { <0, 0, 0>, 1 }
    cylinder { <0, 0, 0>, <0, -1, 0>, 1 }
    pigment { color ghost_color }
#ifndef (mask)
    finish { Shiny ambient 0.4 }
#end
  }
}
#end

