
BEGIN {
}

/^anim [a-z]+ [0-9]+ ([a-z\.] )*/ {
  name = $2;
  frames = $3;
  w = $4;
  h = $5;
  dep = "";
  for(i=6; i<=NF; i++) {
    if(i!=6) dep = dep " ";
    dep = dep $(i);
  }

  print(name".anim: "dep);

  ini = name".ini";
  pov = name".pov";
  maskpov = name".mask.pov";
  anim = name".anim";
  print("\t$(SPRHEAD) "w" "h" > "anim);
  print("\t(cat mask.pov; cat "pov") > "maskpov);
  for(i=0; i<frames; i++) {
    tga = name"."i".tga";
    masktga = name"."i".mask.tga";
    spr = name"."i".spr";
    print("\t$(POVRAY)", ini, "$(POVOPTS)", "+w"w, "+h"h, "+i"pov, "+o"tga, "+k"i/frames);
    print("\t$(POVRAY)", ini, "$(POVOPTS)", "+w"w, "+h"h, "+i"maskpov, "+o"masktga, "+k"i/frames);
    print("\t$(TGA2SPR)", tga, spr, masktga);
    print("\t$(PUTSPR)", spr, anim, i);
    print("\trm -f", tga, masktga, spr);
  }
  print("\trm -f", maskpov);
}

END {
}
