
#include "stuff.inc"

#declare Radius = 0.5
#declare Ambient = 0.4

#declare Middle =
sphere {
  <0, 0, 0>, Radius
  pigment { color Blue }
#ifndef (mask)
  finish { ambient Ambient }
#end
}

#declare Left =
cylinder {
  <0, 0, 0>, <-1, 0, 0>, Radius
  pigment { color Blue }
#ifndef (mask)
  finish { ambient Ambient }
#end
}

#declare Right =
cylinder {
  <0, 0, 0>, <1, 0, 0>, Radius
  pigment { color Blue }
#ifndef (mask)
  finish { ambient Ambient }
#end
}

#declare Top =
cylinder {
  <0, 0, 0>, <0, 1, 0>, Radius
  pigment { color Blue }
#ifndef (mask)
  finish { ambient Ambient }
#end
}

#declare Bottom =
cylinder {
  <0, 0, 0>, <0, -1, 0>, Radius
  pigment { color Blue }
#ifndef (mask)
  finish { ambient Ambient }
#end
}

#declare Ring =
torus {
  1, Radius
  pigment { color Blue }
  rotate x*90
#ifndef (mask)
  finish { ambient Ambient }
#end
}
