#!/bin/sh

# This nifty script controls the nasty output of povray for a makefile

width=none
height=none
input=none
for i; do
  if [ "${i#[+-][wW]}" != "$i" ]; then
    width=${i#[+-][wW]}
  elif [ "${i#[+-][hH]}" != "$i" ]; then
    height=${i#[+-][hH]}
  elif [ "${i#[+-][iI]}" != "$i" ]; then
    input=${i#[+-][iI]}
  fi
done
if [ "$width" != "none" -a "$height" != "none" -a "$input" != "none" ]; then
  inputname=/tmp/povray.sh.$$.pov
  rm -rf $inputname
  echo "#declare Width = $width" > $inputname
  echo "#declare Height = $height" >> $inputname
  cat $input >> $inputname
else
  inputname=none
fi

pipename=/tmp/povray.sh.fifo.$$
rm -rf $pipename
mkfifo $pipename
if [ "$inputname" = "none" ]; then
  cat $pipename&
  povray $* &>/dev/null -gw$pipename -gf$pipename -p
else
  sed 's/$inputname/$input/' < $pipename&
  povray $* +i$inputname &>/dev/null -gw$pipename -gf$pipename -p
fi
rm -f $pipename $inputname

