
BEGIN {
  s = "";
  this = 0;

  print("/* WARNING: This file generated automatically */");

  print("#ifndef blocks_h");
  print("#define blocks_h");

  print("#include \"src/names.h\"")
}

/[a-z]+ [0-9]+ [a-z]+ ([0-9]+|\*) [0-9]+/ {
  name = toupper($1);
  if($4 == "*") s1 = "{ ";
  for(i=0; i<$2; i++) {
    if(this != 0) s = s ", ";
    if($4 == "*") {
      print("#define BLOCK_" name "_" i " " this);
      print("#define BLOCK_IS_"name"_"i"(a) ((a) == BLOCK_"name"_"i")");
      s = s "SPRITE_" toupper($3) "_" i "_" $5;
      if(i != 0) s1 = s1 ", ";
      s1 = s1 this;
    } else {
      print("#define BLOCK_" name " " this);
      s = s "SPRITE_" toupper($3) "_" $4 "_" $5;
    }
    this++;
  }
  if($4 == "*") print("#define BLOCK_"name"_LAST " this);
  if($4 == "*") print("#define BLOCK_IS_"name"(a) ((a) >= BLOCK_"name"_0 && (a) < BLOCK_"name"_LAST)");
  else print("#define BLOCK_IS_"name"(a) ((a) == BLOCK_"name")");
  if($4 == "*") {
    s1 = s1 " }";
    print("const int BLOCK_" toupper($3) "[" $2 "] = " s1 ";");
  }
}
  
END {
  print("#define BLOCKS " this);
  print("#ifndef blocks_cc");
  print("extern int blockSprites["this"];");
  print("#else");
  print("int blockSprites["this"] = { "s" };");
  print("#endif");

  print("#endif")
}
