/*C* $Id: misc.h,v 1.3 1997/08/11 19:21:31 james Exp $
 *
 * Hatman - The Game of Kings
 * Copyright (C) 1997 James Pharaoh & Timothy Fisken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *C*/

#ifndef misc_h
#define misc_h

#include <stdio.h>
#include <stdlib.h>

/*
 * The amount of time, in milliseconds between frames, on an ideal system.
 */
//const int GameSpeed = 30; // slow
const int GameSpeed = 20; // good clean fun
//const int GameSpeed = 10; // hahaha

const int ghostFlashes = 6;
const int ghostFlashTime = 500;

const int scoreFlashTime = 1000;

/*
 * This is the number of pixels past a gap the player is allowed to be to go
 * up it.
 */
const int DirGuessThreshold = 6;

const int Threshold = 4;

#endif
