
BEGIN {
  print("#ifndef vgaxxkeycodes_h");
  print("#define vgaxxkeycodes_h");
}

/[0-9]+ [A-Z0-9]+/ {
  for(a = 2; a<=NF; a++) {
    print("#define KEYCODE_" $(a) " " $1);
    print("#define KP_" $(a) " if(keyboard->pressed(" $1 "))");
    print("#define KD_" $(a) " if(keyboard->down(" $1 "))");
  }
}

/[A-Z][0-9]* [A-Z0-9]+/ {
  sp = "#define KP_" $1 " if(";
  sd = "#define KD_" $1 " if(";
  for(a = 2; a<=NF; a++) {
    if(a != 2) { sp = sp " || "; sd = sd " || "; }
    sp = sp "keyboard->pressed(KEYCODE_" $(a) ")";
    sd = sd "keyboard->down(KEYCODE_" $(a) ")";
  }
  sp = sp ")"; sd = sd ")";
  print(sp); print(sd);
}

END {
  print("#endif");
}
