
#include "colors.inc"
#include "textures.inc"

camera {
  location <0, 0, -40>
  look_at <0, 0, 0>
  up y * 0.75
  right x * 0.75
}

light_source {
  <-10, 10, -20>
  color White
}

#include "hat.inc"

object {
  Hat
  scale 10
  rotate x * 20
  rotate y * clock * 360
#ifndef (mask)
  pigment { color White } // It insists on this for some god-forbidden reason
  finish { ambient 0.5 diffuse 0.5 }
#end
}
