/*C* $Id: dim.cc,v 1.2 1997/08/11 19:21:31 james Exp $
 *
 * Hatman - The Game of Kings
 * Copyright (C) 1997 James Pharaoh & Timothy Fisken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *C*/

#include "tga.h"
#include "util.h"

#include <stdlib.h>

int main(int argc, char** argv)
{
 if(argc != 4) Fatal("Syntax: %s <infile> <outfile> <factor>\n");
 Tga tga;
 if(!tga.load(argv[1])) Fatal("Cannot load %s\n", argv[1]);
 tga.dim(strtol(argv[3], NULL, 0));
 if(!tga.save(argv[2])) Fatal("Cannot save %s\n", argv[2]);
 return EXIT_SUCCESS;
}
