/*C* $Id: genspr.cc,v 1.2 1997/08/11 19:21:31 james Exp $
 *
 * Hatman - The Game of Kings
 * Copyright (C) 1997 James Pharaoh & Timothy Fisken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *C*/

#include <stdlib.h>

#include "util.h"
#include "vga++/sprite.h"

int main(int argc, char** argv)
{
 if(argc != 4) Fatal("Syntax: %s <w> <h> <sprites>\n", argv[0]);
 int w = strtol(argv[1], NULL, 0), h = strtol(argv[2], NULL, 0), c = strtol(argv[3], NULL, 0);
 Sprite s(w, h, 0);
 fwrite(&w, sizeof(w), 1, stdout); fwrite(&h, sizeof(h), 1, stdout);
 for(int i=0; i<c; i++) s.write(stdout);
 return EXIT_SUCCESS;
}
