/*C* $Id: pos.cc,v 1.2 1997/08/11 19:21:31 james Exp $
 *
 * Hatman - The Game of Kings
 * Copyright (C) 1997 James Pharaoh & Timothy Fisken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *C*/

#include "src/globals.h"
#include "src/pos.h"
#include "src/screen.h"
#include <stdlib.h>

Pos Pos::toLevel()
{
 return Pos((x - xOff) / sprW, (y - yOff) / sprH);
}

Pos Pos::fromLevel()
{
 return Pos(x * sprW + xOff, y * sprH + yOff);
}

bool Pos::near(const Pos& pos, int i)
{
 return((abs(pos.x - x) + abs(pos.y - y)) < i);
}
